<?php
use Psr\Container\ContainerInterface;

return [
    Psr\Http\Message\ResponseFactoryInterface::class => function(ContainerInterface $container) {
        return $container->get(Nyholm\Psr7\Factory\Psr17Factory::class);
    },
    Incoviba\Middleware\Authentication::class => function(ContainerInterface $container) {
        return new Incoviba\Middleware\Authentication(
            $container->get(Psr\Http\Message\ResponseFactoryInterface::class),
            $container->get(Incoviba\Service\Login::class),
            implode('/', [$container->get('APP_URL'), 'login'])
        );
    }
];
